#ifndef __ISO14443A_H
#define __ISO14443A_H

tUInt PcdComTransceive( struct TranSciveBuffer *pi);
tUInt PcdRequest(unsigned char req_code,unsigned char *pTagType);                     
tUInt PcdAnticoll(tUChar mode, unsigned char *pSnr);                                   
tUInt PcdSelect(tUChar mode, unsigned char *pSnr, unsigned char *pSize);
char PcdHalt(void);                                            

tUInt ChangeCodeKey(unsigned char *pUncoded,unsigned char *pCoded);                
tUInt PcdLoadKey(unsigned char *pCoded);                                  
tUInt PcdLoadKeyE2(unsigned int startaddr);
tUInt PcdAuthState(unsigned char auth_mode, unsigned char block_addr, unsigned char *pSnr);
tUInt PcdRead(unsigned char block_addr,unsigned char *pReaddata);                       
tUInt PcdWrite(unsigned char addr,unsigned char *pWritedata);                     
tUInt PcdValue(unsigned char dd_mode, unsigned char addr, tUChar *pData, tUChar byte_count);
tUInt PcdRestore(unsigned char addr);                                    
tUInt PcdTransfer(unsigned char addr);
void TranscodeValueBlock( tUChar* ptrdata, tUChar adr);
void ValueBlockChangeOrder(tUChar *data);

#endif
